Name:           python-analyse-obfuscation
Version:        1.1.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Project for identifying executables that have command-line options that can be obfuscated, possibly bypassing detection rules.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/wietze/windows-command-line-obfuscation
Source:         %{pypi_source analyse_obfuscation}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'analyse-obfuscation' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-analyse-obfuscation
Summary:        %{summary}

%description -n python3-analyse-obfuscation %_description


%prep
%autosetup -p1 -n analyse_obfuscation-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-analyse-obfuscation -f %{pyproject_files}


%changelog
%autochangelog